# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Thanks to the Authors of the base code
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#
# modified by: Caz Wallace aka Simply Caz
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.DJakademiks'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "UCs06q9pyRn8d8xy0NgzKPrA" 	# Main Channel
YOUTUBE_CHANNEL_ID_2 = "UCa3eZjczmh0CIMQNTEgVQgw" 	# The Negrotiator aka DJ Akademiks
YOUTUBE_CHANNEL_ID_3 = "UCJTAUPyJsdpyDrM038plNZQ"   # The War In Chiraq
YOUTUBE_CHANNEL_ID_4 = "UCFs-W8rHkGS3xkEA0EWZvvQ"   # LateNightCreepVids
YOUTUBE_CHANNEL_ID_5 = "UCg5iO7Pbg7f4gmufzOLD_zA"   # King Akademiks 
YOUTUBE_CHANNEL_ID_6 = "UCCEvBIOa2LPYHOLgUaAPrRg"   # DJ Akademiks Media 
													
# Entry point
def run():
    plugintools.log("docu.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="DJ Akademiks - Main Channel",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/icon.png",
		fanart="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/fanart.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="The Negrotiator aka DJ Akademiks",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="https://yt3.ggpht.com/-TjlxPavMaRc/AAAAAAAAAAI/AAAAAAAAAAA/MpYC4vuMQ0k/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/fanart.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="The War In Chiraq",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="https://yt3.ggpht.com/-S1G3pmybEWc/AAAAAAAAAAI/AAAAAAAAAAA/stZjRkfniXo/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/fanart.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="Late Night Creeps - Old Channel",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="https://yt3.ggpht.com/-vVNu8mnDHcc/AAAAAAAAAAI/AAAAAAAAAAA/Wr5xtYolJ3s/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/fanart.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="King Akademiks - Gaming Channel",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="https://yt3.ggpht.com/-ibVljY5PRxc/AAAAAAAAAAI/AAAAAAAAAAA/Bs0IVAP0eug/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/fanart.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="DJ Akademiks Media - Celebrity Clips",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_6+"/",
        thumbnail="https://yt3.ggpht.com/-8-xAfS1ZV1M/AAAAAAAAAAI/AAAAAAAAAAA/PCO8kN7JxIE/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/DJ%20Akademiks/fanart.jpg",
        folder=True )

run()
